// distribution boxbackup-0.11_trunk_2979 (svn version: 2979)
// Box Backup, http://www.boxbackup.org/
// 
// Copyright (c) 2003-2010, Ben Summers and contributors.
// All rights reserved.
// 
// Note that this project uses mixed licensing. Any file with this license
// attached, or where the code LICENSE-GPL appears on the first line, falls
// under the "Box Backup GPL" license. See the file COPYING.txt for more
// information about this license.
// 
// ---------------------------------------------------------------------
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
// 
// [http://www.gnu.org/licenses/old-licenses/gpl-2.0.html#SEC4]
// 
// As a special exception to the GPLv2, the Box Backup Project gives
// permission to link any code falling under this license (the Box Backup
// GPL) with any software that can be downloaded from
// the OpenSSL website [http://www.openssl.org] under either the
// "OpenSSL License" or the "Original SSLeay License", and to distribute
// the linked executables under the terms of the "Box Backup GPL" license.
// 
// As a special exception to the GPLv2, the Box Backup Project gives
// permission to link any code falling under this license (the Box Backup
// GPL) with any version of Microsoft's Volume Shadow Copy Service 7.2 SDK
// or Microsoft Windows Software Development Kit (SDK), including
// vssapi.lib, that can be downloaded from the Microsoft website
// [*.microsoft.com], and to distribute the linked executables under the
// terms of the "Box Backup GPL" license.
// --------------------------------------------------------------------------
//
// File
//		Name:    BackupStoreObjectMagic.h
//		Purpose: Magic values for the start of objects in the backup store
//		Created: 19/11/03
//
// --------------------------------------------------------------------------

#ifndef BACKUPSTOREOBJECTMAGIC__H
#define BACKUPSTOREOBJECTMAGIC__H

// Each of these values is the first 4 bytes of the object file.
// Remember to swap from network to host byte order.

// Magic value for file streams
#define OBJECTMAGIC_FILE_MAGIC_VALUE_V1		0x66696C65
// Do not use v0 in any new code!
#define OBJECTMAGIC_FILE_MAGIC_VALUE_V0		0x46494C45

// Magic for the block index at the file stream -- used to
// ensure streams are reordered as expected
#define OBJECTMAGIC_FILE_BLOCKS_MAGIC_VALUE_V1 0x62696478
// Do not use v0 in any new code!
#define OBJECTMAGIC_FILE_BLOCKS_MAGIC_VALUE_V0 0x46426C6B

// Magic value for directory streams
#define OBJECTMAGIC_DIR_MAGIC_VALUE 		0x4449525F

#endif // BACKUPSTOREOBJECTMAGIC__H

